Bug 22118 - Format hold fee when placing holds in OPAC
Summary: Format hold fee when placing holds in OPAC
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks: 22112
  Show dependency treegraph
 
Reported: 2019-01-12 08:20 UTC by Katrin Fischer
Modified: 2019-02-25 07:08 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22118: Format hold fee when placing holds in OPAC (2.58 KB, patch)
2019-01-12 08:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22118: Format hold fee when placing holds in OPAC (2.62 KB, patch)
2019-01-14 23:13 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 22118: Format hold fee when placing holds in OPAC (2.71 KB, patch)
2019-01-18 22:19 UTC, Mikaël Olangcay Brisebois
Details | Diff | Splinter Review
Bug 22118: Format hold fee when placing holds in OPAC (2.77 KB, patch)
2019-01-21 15:43 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-01-12 08:20:30 UTC

    
Comment 1 Katrin Fischer 2019-01-12 08:34:13 UTC
Created attachment 83838 [details] [review]
Bug 22118: Format hold fee when placing holds in OPAC

When Koha charges for holds, a message with the fee is
shown before the patron places the hold. The amount needs
to be formatted according to CurrencyFormat system preference.

To test:
- Add a hold fee to your patron category
- Log into the OPAC
- Search for a record to place a hold on
- Click Place hold
- Verify there is a note showing about the hold fee
- Toggle CurrencyFormat and HoldFeeMode and verify
  that the formatting is always correct
Comment 2 sandboxes@biblibre.com 2019-01-14 23:13:11 UTC
Patch tested with a sandbox, by Jack Kelliher <jke0429@stacmail.net>
Comment 3 sandboxes@biblibre.com 2019-01-14 23:13:33 UTC
Created attachment 83920 [details] [review]
Bug 22118: Format hold fee when placing holds in OPAC

When Koha charges for holds, a message with the fee is
shown before the patron places the hold. The amount needs
to be formatted according to CurrencyFormat system preference.

To test:
- Add a hold fee to your patron category
- Log into the OPAC
- Search for a record to place a hold on
- Click Place hold
- Verify there is a note showing about the hold fee
- Toggle CurrencyFormat and HoldFeeMode and verify
  that the formatting is always correct

Signed-off-by: Jack Kelliher <jke0429@stacmail.net>
Comment 4 Katrin Fischer 2019-01-15 06:16:40 UTC
Thank you!
Comment 5 Mikaël Olangcay Brisebois 2019-01-18 22:19:37 UTC
Created attachment 84231 [details] [review]
Bug 22118: Format hold fee when placing holds in OPAC

When Koha charges for holds, a message with the fee is
shown before the patron places the hold. The amount needs
to be formatted according to CurrencyFormat system preference.

To test:
- Add a hold fee to your patron category
- Log into the OPAC
- Search for a record to place a hold on
- Click Place hold
- Verify there is a note showing about the hold fee
- Toggle CurrencyFormat and HoldFeeMode and verify
  that the formatting is always correct

Signed-off-by: Jack Kelliher <jke0429@stacmail.net>
Signed-off-by: Mikael Olangcay Brisebois <mikael.olangcay-brisebois@inlibro.com>
Comment 6 Josef Moravec 2019-01-21 15:43:29 UTC
Created attachment 84267 [details] [review]
Bug 22118: Format hold fee when placing holds in OPAC

When Koha charges for holds, a message with the fee is
shown before the patron places the hold. The amount needs
to be formatted according to CurrencyFormat system preference.

To test:
- Add a hold fee to your patron category
- Log into the OPAC
- Search for a record to place a hold on
- Click Place hold
- Verify there is a note showing about the hold fee
- Toggle CurrencyFormat and HoldFeeMode and verify
  that the formatting is always correct

Signed-off-by: Jack Kelliher <jke0429@stacmail.net>
Signed-off-by: Mikael Olangcay Brisebois <mikael.olangcay-brisebois@inlibro.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 7 Nick Clemens 2019-01-25 17:57:30 UTC
Awesome work all!

Pushed to master for 19.05
Comment 8 Martin Renvoize 2019-01-31 16:39:29 UTC
Pushed to 18.11.x for 18.11.03
Comment 9 Lucas Gass 2019-02-01 21:48:20 UTC
pushed to 18.05.x for 18.05.09
Comment 10 Fridolin SOMERS 2019-02-04 12:32:43 UTC
Pushed to 17.11.x for 17.11.15